------------------------------------------------------------
-- VHDL SRAM_TST1
-- 2015 7 11 23 29 48
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL SRAM_TST1
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity SRAM_TST1 Is
  port
  (
    BUS_A       : Out   STD_LOGIC_VECTOR(17 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=BUS_A[17..0]
    BUS_D       : InOut STD_LOGIC_VECTOR(15 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=BUS_D[15..0]
    BUS_NBE0    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=BUS_NBE0
    BUS_NBE1    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=BUS_NBE1
    BUS_NWE     : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=BUS_NWE
    CLK12M      : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=CLK12M
    D0          : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=D0
    D1          : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=D1
    D2          : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=D2
    D3          : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=D3
    SDRAM_NCS   : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SDRAM_NCS
    SRAM_NCS    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM_NCS
    SRAM_NOE    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM_NOE
    TT_PIN1     : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN1
    TT_PIN2     : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN2
    TT_PIN3     : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN3
    TT_PIN4     : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN4
    TT_PIN05_01 : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN05_01
    TT_PIN06_02 : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN06_02
    TT_PIN07_03 : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN07_03
    TT_PIN08_04 : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN08_04
    TT_PIN41_37 : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN41_37
    TT_PIN42_38 : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN42_38
    TT_PIN43_39 : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN43_39
    TT_PIN44_40 : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN44_40
    TT_PIN45    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN45
    TT_PIN46    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN46
    TT_PIN47    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN47
    TT_PIN48    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TT_PIN48
    USER_LED    : Out   STD_LOGIC                            -- ObjectKind=Port|PrimaryId=USER_LED
  );
  attribute MacroCell : boolean;

End SRAM_TST1;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of SRAM_TST1 is
   Component Clock_IC1                                       -- ObjectKind=Part|PrimaryId=IC1|SecondaryId=1
      port
      (
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC1-CLK
        CLKA   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC1-CLKA
        CLKO   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC1-CLKO
        LOCKED : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC1-LOCKED
        RST    : in  STD_LOGIC                               -- ObjectKind=Pin|PrimaryId=IC1-RST
      );
   End Component;

   Component Configurable_IC2                                -- ObjectKind=Part|PrimaryId=IC2|SecondaryId=1
      port
      (
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-CLK
        CLKA   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-CLKA
        LOCKED : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-LOCKED
        RST    : in  STD_LOGIC                               -- ObjectKind=Pin|PrimaryId=IC2-RST
      );
   End Component;

   Component Configurable_IC4                                -- ObjectKind=Part|PrimaryId=IC4|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-I4
        I5 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-I5
        I6 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-I6
        I7 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-I7
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-O0
        O1 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-O1
        O2 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-O2
        O3 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-O3
        O4 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-O4
        O5 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-O5
        O6 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-O6
        O7 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=IC4-O7
      );
   End Component;

   Component Configurable_IC5                                -- ObjectKind=Part|PrimaryId=IC5|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC5-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC5-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC5-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC5-I3
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=IC5-O
      );
   End Component;

   Component Configurable_LED                                -- ObjectKind=Part|PrimaryId=LED|SecondaryId=1
      port
      (
        B : in STD_LOGIC_VECTOR(7 downto 0);                 -- ObjectKind=Pin|PrimaryId=LED-B[7..0]
        G : in STD_LOGIC_VECTOR(7 downto 0);                 -- ObjectKind=Pin|PrimaryId=LED-G[7..0]
        R : in STD_LOGIC_VECTOR(7 downto 0)                  -- ObjectKind=Pin|PrimaryId=LED-R[7..0]
      );
   End Component;

   Component FPGA_STARTUP8                                   -- ObjectKind=Part|PrimaryId=IC3|SecondaryId=1
      port
      (
        CLK   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=IC3-CLK
        DELAY : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=IC3-DELAY[7..0]
        INIT  : out STD_LOGIC                                -- ObjectKind=Pin|PrimaryId=IC3-INIT
      );
   End Component;

   Component NEXUS_JTAG_PORT                                 -- ObjectKind=Part|PrimaryId=NEXUS_JTAG_PORT|SecondaryId=1
      port
      (
        TCK  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TCK
        TDI  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDI
        TDO  : out STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDO
        TMS  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TMS
        TRST : in  STD_LOGIC                                 -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TRST
      );
   End Component;

   Component SRAM_TST1_System                                -- ObjectKind=Sheet Symbol|PrimaryId=SRAM_TST1_OPENBUS
      port
      (
        CLK_I    : in    STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-CLK_I
        LEDS_PAO : out   STD_LOGIC_VECTOR(7 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-LEDS.PAO[7..0]
        LEDS_PBO : out   STD_LOGIC_VECTOR(7 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-LEDS.PBO[7..0]
        LEDS_PCO : out   STD_LOGIC_VECTOR(7 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-LEDS.PCO[7..0]
        LEDS_PDO : out   STD_LOGIC_VECTOR(7 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-LEDS.PDO[7..0]
        RST_I    : in    STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-RST_I
        XRAM_A   : out   STD_LOGIC_VECTOR(17 downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.A[17..0]
        XRAM_CE  : out   STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.CE
        XRAM_D   : inout STD_LOGIC_VECTOR(15 downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_LB  : out   STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.LB
        XRAM_OE  : out   STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.OE
        XRAM_UB  : out   STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.UB
        XRAM_WE  : out   STD_LOGIC                           -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.WE
      );
   End Component;


    Signal NamedSignal_CLK_I                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK_I
    Signal NamedSignal_LED_G                    : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=LED_G[7..0]
    Signal NamedSignal_RST_I                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST_I
    Signal NamedSignal_VCC1_BUS                 : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=VCC1_BUS[7..0]
    Signal PinSignal_IC1_CLKA                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=C120M
    Signal PinSignal_IC2_CLKA                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK_I
    Signal PinSignal_IC3_INIT                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST_I
    Signal PinSignal_IC4_O0                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC4_O0
    Signal PinSignal_IC4_O1                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC4_O1
    Signal PinSignal_IC4_O2                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC4_O2
    Signal PinSignal_IC4_O3                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC4_O3
    Signal PinSignal_IC4_O4                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC4_O4
    Signal PinSignal_IC4_O5                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC4_O5
    Signal PinSignal_IC4_O6                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC4_O6
    Signal PinSignal_IC4_O7                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC4_O7
    Signal PinSignal_IC5_O                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC5_O
    Signal PinSignal_NEXUS_JTAG_PORT_TDO        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=D2
    Signal PinSignal_SRAM_TST1_OPENBUS_LEDS_PAO : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=LED_G[7..0]
    Signal PinSignal_SRAM_TST1_OPENBUS_LEDS_PBO : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=LED_R[7..0]
    Signal PinSignal_SRAM_TST1_OPENBUS_LEDS_PCO : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=LED_B[7..0]
    Signal PinSignal_SRAM_TST1_OPENBUS_XRAM_A   : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=BUS_A[17..0]
    Signal PinSignal_SRAM_TST1_OPENBUS_XRAM_CE  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=N000-1
    Signal PinSignal_SRAM_TST1_OPENBUS_XRAM_LB  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=N000-1
    Signal PinSignal_SRAM_TST1_OPENBUS_XRAM_OE  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=N000-1
    Signal PinSignal_SRAM_TST1_OPENBUS_XRAM_UB  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=N000-1
    Signal PinSignal_SRAM_TST1_OPENBUS_XRAM_WE  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=N000-1
    Signal PowerSignal_GND                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

begin
    SRAM_TST1_OPENBUS : SRAM_TST1_System                     -- ObjectKind=Sheet Symbol|PrimaryId=SRAM_TST1_OPENBUS
      Port Map
      (
        CLK_I      => NamedSignal_CLK_I,                     -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-CLK_I
        LEDS_PAO   => PinSignal_SRAM_TST1_OPENBUS_LEDS_PAO,  -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-LEDS.PAO[7..0]
        LEDS_PBO   => PinSignal_SRAM_TST1_OPENBUS_LEDS_PBO,  -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-LEDS.PBO[7..0]
        LEDS_PCO   => PinSignal_SRAM_TST1_OPENBUS_LEDS_PCO,  -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-LEDS.PCO[7..0]
        RST_I      => NamedSignal_RST_I,                     -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-RST_I
        XRAM_A     => PinSignal_SRAM_TST1_OPENBUS_XRAM_A,    -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.A[17..0]
        XRAM_CE    => PinSignal_SRAM_TST1_OPENBUS_XRAM_CE,   -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.CE
        XRAM_D(15) => BUS_D(15),                             -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(14) => BUS_D(14),                             -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(13) => BUS_D(13),                             -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(12) => BUS_D(12),                             -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(11) => BUS_D(11),                             -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(10) => BUS_D(10),                             -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(9)  => BUS_D(9),                              -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(8)  => BUS_D(8),                              -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(7)  => BUS_D(7),                              -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(6)  => BUS_D(6),                              -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(5)  => BUS_D(5),                              -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(4)  => BUS_D(4),                              -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(3)  => BUS_D(3),                              -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(2)  => BUS_D(2),                              -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(1)  => BUS_D(1),                              -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_D(0)  => BUS_D(0),                              -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.D[15..0]
        XRAM_LB    => PinSignal_SRAM_TST1_OPENBUS_XRAM_LB,   -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.LB
        XRAM_OE    => PinSignal_SRAM_TST1_OPENBUS_XRAM_OE,   -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.OE
        XRAM_UB    => PinSignal_SRAM_TST1_OPENBUS_XRAM_UB,   -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.UB
        XRAM_WE    => PinSignal_SRAM_TST1_OPENBUS_XRAM_WE    -- ObjectKind=Sheet Entry|PrimaryId=SRAM_TST1_System.OpenBus-XRAM.WE
      );

    NEXUS_JTAG_PORTWKIEOHSL : NEXUS_JTAG_PORT                -- ObjectKind=Part|PrimaryId=NEXUS_JTAG_PORT|SecondaryId=1
      Port Map
      (
        TCK  => D0,                                          -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TCK
        TDI  => D1,                                          -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDI
        TDO  => PinSignal_NEXUS_JTAG_PORT_TDO,               -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDO
        TMS  => D3,                                          -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TMS
        TRST => PowerSignal_VCC                              -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TRST
      );

    LED : Configurable_LED                                   -- ObjectKind=Part|PrimaryId=LED|SecondaryId=1
      Port Map
      (
        B => PinSignal_SRAM_TST1_OPENBUS_LEDS_PCO,           -- ObjectKind=Pin|PrimaryId=LED-B[7..0]
        G => PinSignal_SRAM_TST1_OPENBUS_LEDS_PAO,           -- ObjectKind=Pin|PrimaryId=LED-G[7..0]
        R => PinSignal_SRAM_TST1_OPENBUS_LEDS_PBO            -- ObjectKind=Pin|PrimaryId=LED-R[7..0]
      );

    IC5 : Configurable_IC5                                   -- ObjectKind=Part|PrimaryId=IC5|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_LED_G(3),                          -- ObjectKind=Pin|PrimaryId=IC5-I0
        I1 => NamedSignal_LED_G(2),                          -- ObjectKind=Pin|PrimaryId=IC5-I1
        I2 => NamedSignal_LED_G(1),                          -- ObjectKind=Pin|PrimaryId=IC5-I2
        I3 => NamedSignal_LED_G(0),                          -- ObjectKind=Pin|PrimaryId=IC5-I3
        O  => PinSignal_IC5_O                                -- ObjectKind=Pin|PrimaryId=IC5-O
      );

    IC4 : Configurable_IC4                                   -- ObjectKind=Part|PrimaryId=IC4|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_LED_G(0),                          -- ObjectKind=Pin|PrimaryId=IC4-I0
        I1 => NamedSignal_LED_G(1),                          -- ObjectKind=Pin|PrimaryId=IC4-I1
        I2 => NamedSignal_LED_G(2),                          -- ObjectKind=Pin|PrimaryId=IC4-I2
        I3 => NamedSignal_LED_G(3),                          -- ObjectKind=Pin|PrimaryId=IC4-I3
        I4 => NamedSignal_LED_G(4),                          -- ObjectKind=Pin|PrimaryId=IC4-I4
        I5 => NamedSignal_LED_G(5),                          -- ObjectKind=Pin|PrimaryId=IC4-I5
        I6 => NamedSignal_LED_G(6),                          -- ObjectKind=Pin|PrimaryId=IC4-I6
        I7 => NamedSignal_LED_G(7),                          -- ObjectKind=Pin|PrimaryId=IC4-I7
        O0 => PinSignal_IC4_O0,                              -- ObjectKind=Pin|PrimaryId=IC4-O0
        O1 => PinSignal_IC4_O1,                              -- ObjectKind=Pin|PrimaryId=IC4-O1
        O2 => PinSignal_IC4_O2,                              -- ObjectKind=Pin|PrimaryId=IC4-O2
        O3 => PinSignal_IC4_O3,                              -- ObjectKind=Pin|PrimaryId=IC4-O3
        O4 => PinSignal_IC4_O4,                              -- ObjectKind=Pin|PrimaryId=IC4-O4
        O5 => PinSignal_IC4_O5,                              -- ObjectKind=Pin|PrimaryId=IC4-O5
        O6 => PinSignal_IC4_O6,                              -- ObjectKind=Pin|PrimaryId=IC4-O6
        O7 => PinSignal_IC4_O7                               -- ObjectKind=Pin|PrimaryId=IC4-O7
      );

    IC3 : FPGA_STARTUP8                                      -- ObjectKind=Part|PrimaryId=IC3|SecondaryId=1
      Port Map
      (
        CLK   => PinSignal_IC2_CLKA,                         -- ObjectKind=Pin|PrimaryId=IC3-CLK
        DELAY => NamedSignal_VCC1_BUS,                       -- ObjectKind=Pin|PrimaryId=IC3-DELAY[7..0]
        INIT  => PinSignal_IC3_INIT                          -- ObjectKind=Pin|PrimaryId=IC3-INIT
      );

    IC2 : Configurable_IC2                                   -- ObjectKind=Part|PrimaryId=IC2|SecondaryId=1
      Port Map
      (
        CLK  => PinSignal_IC1_CLKA,                          -- ObjectKind=Pin|PrimaryId=IC2-CLK
        CLKA => PinSignal_IC2_CLKA,                          -- ObjectKind=Pin|PrimaryId=IC2-CLKA
        RST  => PowerSignal_GND                              -- ObjectKind=Pin|PrimaryId=IC2-RST
      );

    IC1 : Clock_IC1                                          -- ObjectKind=Part|PrimaryId=IC1|SecondaryId=1
      Port Map
      (
        CLK  => CLK12M,                                      -- ObjectKind=Pin|PrimaryId=IC1-CLK
        CLKA => PinSignal_IC1_CLKA,                          -- ObjectKind=Pin|PrimaryId=IC1-CLKA
        RST  => PowerSignal_GND                              -- ObjectKind=Pin|PrimaryId=IC1-RST
      );

    -- Signal Assignments
    ---------------------
    BUS_A                <= PinSignal_SRAM_TST1_OPENBUS_XRAM_A; -- ObjectKind=Net|PrimaryId=BUS_A[17..0]
    BUS_NBE0             <= PinSignal_SRAM_TST1_OPENBUS_XRAM_LB; -- ObjectKind=Net|PrimaryId=N000-1
    BUS_NBE1             <= PinSignal_SRAM_TST1_OPENBUS_XRAM_UB; -- ObjectKind=Net|PrimaryId=N000-1
    BUS_NWE              <= PinSignal_SRAM_TST1_OPENBUS_XRAM_WE; -- ObjectKind=Net|PrimaryId=N000-1
    D2                   <= PinSignal_NEXUS_JTAG_PORT_TDO; -- ObjectKind=Net|PrimaryId=D2
    NamedSignal_CLK_I    <= PinSignal_IC2_CLKA; -- ObjectKind=Net|PrimaryId=CLK_I
    NamedSignal_LED_G    <= PinSignal_SRAM_TST1_OPENBUS_LEDS_PAO; -- ObjectKind=Net|PrimaryId=LED_G[7..0]
    NamedSignal_RST_I    <= PinSignal_IC3_INIT; -- ObjectKind=Net|PrimaryId=RST_I
    NamedSignal_VCC1_BUS <= "11111111"; -- ObjectKind=Net|PrimaryId=VCC1_BUS[7..0]
    PowerSignal_GND      <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC      <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    SDRAM_NCS            <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=VCC
    SRAM_NCS             <= PinSignal_SRAM_TST1_OPENBUS_XRAM_CE; -- ObjectKind=Net|PrimaryId=N000-1
    SRAM_NOE             <= PinSignal_SRAM_TST1_OPENBUS_XRAM_OE; -- ObjectKind=Net|PrimaryId=N000-1
    TT_PIN05_01          <= NamedSignal_LED_G(4); -- ObjectKind=Net|PrimaryId=LED_G4
    TT_PIN06_02          <= NamedSignal_LED_G(5); -- ObjectKind=Net|PrimaryId=LED_G5
    TT_PIN07_03          <= NamedSignal_LED_G(6); -- ObjectKind=Net|PrimaryId=LED_G6
    TT_PIN08_04          <= NamedSignal_LED_G(7); -- ObjectKind=Net|PrimaryId=LED_G7
    TT_PIN1              <= NamedSignal_LED_G(0); -- ObjectKind=Net|PrimaryId=LED_G0
    TT_PIN2              <= NamedSignal_LED_G(1); -- ObjectKind=Net|PrimaryId=LED_G1
    TT_PIN3              <= NamedSignal_LED_G(2); -- ObjectKind=Net|PrimaryId=LED_G2
    TT_PIN4              <= NamedSignal_LED_G(3); -- ObjectKind=Net|PrimaryId=LED_G3
    TT_PIN41_37          <= PinSignal_IC4_O7; -- ObjectKind=Net|PrimaryId=NetIC4_O7
    TT_PIN42_38          <= PinSignal_IC4_O6; -- ObjectKind=Net|PrimaryId=NetIC4_O6
    TT_PIN43_39          <= PinSignal_IC4_O5; -- ObjectKind=Net|PrimaryId=NetIC4_O5
    TT_PIN44_40          <= PinSignal_IC4_O4; -- ObjectKind=Net|PrimaryId=NetIC4_O4
    TT_PIN45             <= PinSignal_IC4_O3; -- ObjectKind=Net|PrimaryId=NetIC4_O3
    TT_PIN46             <= PinSignal_IC4_O2; -- ObjectKind=Net|PrimaryId=NetIC4_O2
    TT_PIN47             <= PinSignal_IC4_O1; -- ObjectKind=Net|PrimaryId=NetIC4_O1
    TT_PIN48             <= PinSignal_IC4_O0; -- ObjectKind=Net|PrimaryId=NetIC4_O0
    USER_LED             <= PinSignal_IC5_O; -- ObjectKind=Net|PrimaryId=NetIC5_O

end structure;
------------------------------------------------------------

