------------------------------------------------------------
-- VHDL SRAM_TST1_System
-- 2015 7 11 23 29 48
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL SRAM_TST1_System
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity SRAM_TST1_System Is
  port
  (
    CLK_I    : In    STD_LOGIC;                              -- ObjectKind=Port|PrimaryId=CLK_I
    LEDS_PAO : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);           -- ObjectKind=Port|PrimaryId=LEDS.PAO[7..0]
    LEDS_PBO : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);           -- ObjectKind=Port|PrimaryId=LEDS.PBO[7..0]
    LEDS_PCO : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);           -- ObjectKind=Port|PrimaryId=LEDS.PCO[7..0]
    LEDS_PDO : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);           -- ObjectKind=Port|PrimaryId=LEDS.PDO[7..0]
    RST_I    : In    STD_LOGIC;                              -- ObjectKind=Port|PrimaryId=RST_I
    XRAM_A   : Out   STD_LOGIC_VECTOR(17 DOWNTO 0);          -- ObjectKind=Port|PrimaryId=XRAM.A[17..0]
    XRAM_CE  : Out   STD_LOGIC;                              -- ObjectKind=Port|PrimaryId=XRAM.CE
    XRAM_D   : InOut STD_LOGIC_VECTOR(15 DOWNTO 0);          -- ObjectKind=Port|PrimaryId=XRAM.D[15..0]
    XRAM_LB  : Out   STD_LOGIC;                              -- ObjectKind=Port|PrimaryId=XRAM.LB
    XRAM_OE  : Out   STD_LOGIC;                              -- ObjectKind=Port|PrimaryId=XRAM.OE
    XRAM_UB  : Out   STD_LOGIC;                              -- ObjectKind=Port|PrimaryId=XRAM.UB
    XRAM_WE  : Out   STD_LOGIC                               -- ObjectKind=Port|PrimaryId=XRAM.WE
  );
  attribute MacroCell : boolean;

End SRAM_TST1_System;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of SRAM_TST1_System is
   Component Configurable_INTERCON_IO                        -- ObjectKind=Part|PrimaryId=INTERCON_IO|SecondaryId=1
      port
      (
        m0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_ACK_O
        m0_ADR_I : in  STD_LOGIC_VECTOR(23 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_ADR_I[23..0]
        m0_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_CLK_I
        m0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_CYC_I
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_DAT_O[31..0]
        m0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_SEL_I[3..0]
        m0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_STB_I
        m0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_WE_I
        s0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_ACK_I
        s0_ADR_O : out STD_LOGIC_VECTOR(1 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_ADR_O[1..0]
        s0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_CYC_O
        s0_DAT_I : in  STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_DAT_I[7..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_DAT_O[7..0]
        s0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_SEL_O[3..0]
        s0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_STB_O
        s0_WE_O  : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_WE_O
      );
   End Component;

   Component Configurable_INTERCON_MEM                       -- ObjectKind=Part|PrimaryId=INTERCON_MEM|SecondaryId=1
      port
      (
        m0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_ACK_O
        m0_ADR_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_ADR_I[31..0]
        m0_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_CLK_I
        m0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_CYC_I
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_DAT_O[31..0]
        m0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_SEL_I[3..0]
        m0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_STB_I
        m0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_WE_I
        s0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_ACK_I
        s0_ADR_O : out STD_LOGIC_VECTOR(18 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_ADR_O[18..0]
        s0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_CYC_O
        s0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_DAT_I[31..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_DAT_O[31..0]
        s0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_SEL_O[3..0]
        s0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_STB_O
        s0_WE_O  : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_WE_O
      );
   End Component;

   Component Configurable_LEDS                               -- ObjectKind=Part|PrimaryId=LEDS|SecondaryId=1
      port
      (
        ACK_O : out STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=LEDS-ACK_O
        ADR_I : in  STD_LOGIC_VECTOR(1 downto 0);            -- ObjectKind=Pin|PrimaryId=LEDS-ADR_I[1..0]
        CLK_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=LEDS-CLK_I
        CYC_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=LEDS-CYC_I
        DAT_I : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=LEDS-DAT_I[7..0]
        PAO   : out STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=LEDS-PAO[7..0]
        PBO   : out STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=LEDS-PBO[7..0]
        PCO   : out STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=LEDS-PCO[7..0]
        PDO   : out STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=LEDS-PDO[7..0]
        RST_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=LEDS-RST_I
        STB_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=LEDS-STB_I
        WE_I  : in  STD_LOGIC                                -- ObjectKind=Pin|PrimaryId=LEDS-WE_I
      );
   End Component;

   Component Configurable_MCU                                -- ObjectKind=Part|PrimaryId=MCU|SecondaryId=1
      port
      (
        CLK_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-CLK_I
        INT_I    : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-INT_I[31..0]
        IO_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-IO_ACK_I
        IO_ADR_O : out STD_LOGIC_VECTOR(23 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-IO_ADR_O[23..0]
        IO_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-IO_CYC_O
        IO_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-IO_DAT_I[31..0]
        IO_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-IO_DAT_O[31..0]
        IO_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=MCU-IO_SEL_O[3..0]
        IO_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-IO_STB_O
        IO_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-IO_WE_O
        ME_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-ME_ACK_I
        ME_ADR_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-ME_ADR_O[31..0]
        ME_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-ME_CYC_O
        ME_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-ME_DAT_I[31..0]
        ME_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-ME_DAT_O[31..0]
        ME_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=MCU-ME_SEL_O[3..0]
        ME_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-ME_STB_O
        ME_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-ME_WE_O
        RST_I    : in  STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=MCU-RST_I
      );
   End Component;

   Component Configurable_XRAM                               -- ObjectKind=Part|PrimaryId=XRAM|SecondaryId=1
      port
      (
        ACK_O   : out   STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XRAM-ACK_O
        ADR_I   : in    STD_LOGIC_VECTOR(18 downto 0);       -- ObjectKind=Pin|PrimaryId=XRAM-ADR_I[18..0]
        CLK_I   : in    STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XRAM-CLK_I
        CYC_I   : in    STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XRAM-CYC_I
        DAT_I   : in    STD_LOGIC_VECTOR(31 downto 0);       -- ObjectKind=Pin|PrimaryId=XRAM-DAT_I[31..0]
        DAT_O   : out   STD_LOGIC_VECTOR(31 downto 0);       -- ObjectKind=Pin|PrimaryId=XRAM-DAT_O[31..0]
        RST_I   : in    STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XRAM-RST_I
        SEL_I   : in    STD_LOGIC_VECTOR(3 downto 0);        -- ObjectKind=Pin|PrimaryId=XRAM-SEL_I[3..0]
        SRAM_A  : out   STD_LOGIC_VECTOR(17 downto 0);       -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_A[17..0]
        SRAM_CE : out   STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_CE
        SRAM_D  : inout STD_LOGIC_VECTOR(15 downto 0);       -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_LB : out   STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_LB
        SRAM_OE : out   STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_OE
        SRAM_UB : out   STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_UB
        SRAM_WE : out   STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_WE
        STB_I   : in    STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XRAM-STB_I
        WE_I    : in    STD_LOGIC                            -- ObjectKind=Pin|PrimaryId=XRAM-WE_I
      );
   End Component;

   Component J16S_16B                                        -- ObjectKind=Part|PrimaryId=MCU_HI|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I10
        I11 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I11
        I12 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I12
        I13 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I13
        I14 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I14
        I15 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I15
        O   : out STD_LOGIC_VECTOR(15 downto 0)              -- ObjectKind=Pin|PrimaryId=MCU_HI-O[15..0]
      );
   End Component;


    Signal NamedSignal_CLK_I                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK_I
    Signal NamedSignal_GND1_BUS                      : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[7..0]
    Signal NamedSignal_GND2_BUS                      : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[3..0]
    Signal NamedSignal_INTERCON_IO_M0_S0_LEDS_ACK    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_ACK
    Signal NamedSignal_INTERCON_IO_M0_S0_LEDS_ADR    : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_ADR[1..0]
    Signal NamedSignal_INTERCON_IO_M0_S0_LEDS_CYC    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_CYC
    Signal NamedSignal_INTERCON_IO_M0_S0_LEDS_DATIO  : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_DATIO[7..0]
    Signal NamedSignal_INTERCON_IO_M0_S0_LEDS_DATOI  : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[7..0]
    Signal NamedSignal_INTERCON_IO_M0_S0_LEDS_STB    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_STB
    Signal NamedSignal_INTERCON_IO_M0_S0_LEDS_WE     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_WE
    Signal NamedSignal_INTERCON_MEM_M0_S0_XRAM_ACK   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_ACK
    Signal NamedSignal_INTERCON_MEM_M0_S0_XRAM_ADR   : STD_LOGIC_VECTOR(18 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_ADR[18..0]
    Signal NamedSignal_INTERCON_MEM_M0_S0_XRAM_CYC   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_CYC
    Signal NamedSignal_INTERCON_MEM_M0_S0_XRAM_DATIO : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_DATIO[31..0]
    Signal NamedSignal_INTERCON_MEM_M0_S0_XRAM_DATOI : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_DATOI[31..0]
    Signal NamedSignal_INTERCON_MEM_M0_S0_XRAM_SEL   : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_SEL[3..0]
    Signal NamedSignal_INTERCON_MEM_M0_S0_XRAM_STB   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_STB
    Signal NamedSignal_INTERCON_MEM_M0_S0_XRAM_WE    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_WE
    Signal NamedSignal_INTERRUPT_MCU_INT_I           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[31..0]
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_ACK     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_ACK
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_ADR     : STD_LOGIC_VECTOR(23 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_ADR[23..0]
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_CYC     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_CYC
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_DATIO   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_DATIO[31..0]
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_DATOI   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_DATOI[31..0]
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_SEL     : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_SEL[3..0]
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_STB     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_STB
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_WE      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_WE
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_ACK    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_ACK
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_ADR    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_ADR[31..0]
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_CYC    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_CYC
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_DATIO  : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_DATIO[31..0]
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_DATOI  : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_DATOI[31..0]
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_SEL    : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_SEL[3..0]
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_STB    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_STB
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_WE     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_WE
    Signal NamedSignal_RST_I                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST_I
    Signal PinSignal_INTERCON_IO_m0_ACK_O            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_ACK
    Signal PinSignal_INTERCON_IO_m0_DAT_O            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_DATOI[31..0]
    Signal PinSignal_INTERCON_IO_s0_ADR_O            : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_ADR[1..0]
    Signal PinSignal_INTERCON_IO_s0_CYC_O            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_CYC
    Signal PinSignal_INTERCON_IO_s0_DAT_O            : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_DATIO[7..0]
    Signal PinSignal_INTERCON_IO_s0_SEL_O            : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[3..0]
    Signal PinSignal_INTERCON_IO_s0_STB_O            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_STB
    Signal PinSignal_INTERCON_IO_s0_WE_O             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_WE
    Signal PinSignal_INTERCON_MEM_m0_ACK_O           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_ACK
    Signal PinSignal_INTERCON_MEM_m0_DAT_O           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_DATOI[31..0]
    Signal PinSignal_INTERCON_MEM_s0_ADR_O           : STD_LOGIC_VECTOR(18 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_ADR[18..0]
    Signal PinSignal_INTERCON_MEM_s0_CYC_O           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_CYC
    Signal PinSignal_INTERCON_MEM_s0_DAT_O           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_DATIO[31..0]
    Signal PinSignal_INTERCON_MEM_s0_SEL_O           : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_SEL[3..0]
    Signal PinSignal_INTERCON_MEM_s0_STB_O           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_STB
    Signal PinSignal_INTERCON_MEM_s0_WE_O            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_WE
    Signal PinSignal_LEDS_ACK_O                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_ACK
    Signal PinSignal_LEDS_PAO                        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=LEDS.PAO[7..0]
    Signal PinSignal_LEDS_PBO                        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=LEDS.PBO[7..0]
    Signal PinSignal_LEDS_PCO                        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=LEDS.PCO[7..0]
    Signal PinSignal_LEDS_PDO                        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=LEDS.PDO[7..0]
    Signal PinSignal_MCU_HI_O                        : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[31..0]
    Signal PinSignal_MCU_IO_ADR_O                    : STD_LOGIC_VECTOR(23 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_ADR[23..0]
    Signal PinSignal_MCU_IO_CYC_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_CYC
    Signal PinSignal_MCU_IO_DAT_O                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_DATIO[31..0]
    Signal PinSignal_MCU_IO_SEL_O                    : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_SEL[3..0]
    Signal PinSignal_MCU_IO_STB_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_STB
    Signal PinSignal_MCU_IO_WE_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_WE
    Signal PinSignal_MCU_LO_O                        : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[15..0]
    Signal PinSignal_MCU_ME_ADR_O                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_ADR[31..0]
    Signal PinSignal_MCU_ME_CYC_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_CYC
    Signal PinSignal_MCU_ME_DAT_O                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_DATIO[31..0]
    Signal PinSignal_MCU_ME_SEL_O                    : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_SEL[3..0]
    Signal PinSignal_MCU_ME_STB_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_STB
    Signal PinSignal_MCU_ME_WE_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_WE
    Signal PinSignal_XRAM_ACK_O                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_ACK
    Signal PinSignal_XRAM_DAT_O                      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_DATOI[31..0]
    Signal PinSignal_XRAM_SRAM_A                     : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=XRAM.A[17..0]
    Signal PinSignal_XRAM_SRAM_CE                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XRAM.CE
    Signal PinSignal_XRAM_SRAM_LB                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XRAM.LB
    Signal PinSignal_XRAM_SRAM_OE                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XRAM.OE
    Signal PinSignal_XRAM_SRAM_UB                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XRAM.UB
    Signal PinSignal_XRAM_SRAM_WE                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XRAM.WE
    Signal PowerSignal_GND                           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND

begin
    XRAM : Configurable_XRAM                                 -- ObjectKind=Part|PrimaryId=XRAM|SecondaryId=1
      Port Map
      (
        ACK_O      => PinSignal_XRAM_ACK_O,                  -- ObjectKind=Pin|PrimaryId=XRAM-ACK_O
        ADR_I      => NamedSignal_INTERCON_MEM_M0_S0_XRAM_ADR, -- ObjectKind=Pin|PrimaryId=XRAM-ADR_I[18..0]
        CLK_I      => NamedSignal_CLK_I,                     -- ObjectKind=Pin|PrimaryId=XRAM-CLK_I
        CYC_I      => NamedSignal_INTERCON_MEM_M0_S0_XRAM_CYC, -- ObjectKind=Pin|PrimaryId=XRAM-CYC_I
        DAT_I      => NamedSignal_INTERCON_MEM_M0_S0_XRAM_DATIO, -- ObjectKind=Pin|PrimaryId=XRAM-DAT_I[31..0]
        DAT_O      => PinSignal_XRAM_DAT_O,                  -- ObjectKind=Pin|PrimaryId=XRAM-DAT_O[31..0]
        RST_I      => NamedSignal_RST_I,                     -- ObjectKind=Pin|PrimaryId=XRAM-RST_I
        SEL_I      => NamedSignal_INTERCON_MEM_M0_S0_XRAM_SEL, -- ObjectKind=Pin|PrimaryId=XRAM-SEL_I[3..0]
        SRAM_A     => PinSignal_XRAM_SRAM_A,                 -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_A[17..0]
        SRAM_CE    => PinSignal_XRAM_SRAM_CE,                -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_CE
        SRAM_D(15) => XRAM_D(15),                            -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(14) => XRAM_D(14),                            -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(13) => XRAM_D(13),                            -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(12) => XRAM_D(12),                            -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(11) => XRAM_D(11),                            -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(10) => XRAM_D(10),                            -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(9)  => XRAM_D(9),                             -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(8)  => XRAM_D(8),                             -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(7)  => XRAM_D(7),                             -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(6)  => XRAM_D(6),                             -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(5)  => XRAM_D(5),                             -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(4)  => XRAM_D(4),                             -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(3)  => XRAM_D(3),                             -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(2)  => XRAM_D(2),                             -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(1)  => XRAM_D(1),                             -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_D(0)  => XRAM_D(0),                             -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_D[15..0]
        SRAM_LB    => PinSignal_XRAM_SRAM_LB,                -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_LB
        SRAM_OE    => PinSignal_XRAM_SRAM_OE,                -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_OE
        SRAM_UB    => PinSignal_XRAM_SRAM_UB,                -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_UB
        SRAM_WE    => PinSignal_XRAM_SRAM_WE,                -- ObjectKind=Pin|PrimaryId=XRAM-SRAM_WE
        STB_I      => NamedSignal_INTERCON_MEM_M0_S0_XRAM_STB, -- ObjectKind=Pin|PrimaryId=XRAM-STB_I
        WE_I       => NamedSignal_INTERCON_MEM_M0_S0_XRAM_WE -- ObjectKind=Pin|PrimaryId=XRAM-WE_I
      );

    MCU_LO : J16S_16B                                        -- ObjectKind=Part|PrimaryId=MCU_LO|SecondaryId=1
      Port Map
      (
        I0  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I0
        I1  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I1
        I2  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I2
        I3  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I3
        I4  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I4
        I5  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I5
        I6  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I6
        I7  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I7
        I8  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I8
        I9  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I9
        I10 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I10
        I11 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I11
        I12 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I12
        I13 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I13
        I14 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I14
        I15 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I15
        O   => PinSignal_MCU_LO_O                            -- ObjectKind=Pin|PrimaryId=MCU_LO-O[15..0]
      );

    MCU_HI : J16S_16B                                        -- ObjectKind=Part|PrimaryId=MCU_HI|SecondaryId=1
      Port Map
      (
        I0  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I0
        I1  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I1
        I2  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I2
        I3  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I3
        I4  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I4
        I5  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I5
        I6  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I6
        I7  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I7
        I8  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I8
        I9  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I9
        I10 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I10
        I11 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I11
        I12 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I12
        I13 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I13
        I14 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I14
        I15 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I15
        O   => PinSignal_MCU_HI_O                            -- ObjectKind=Pin|PrimaryId=MCU_HI-O[15..0]
      );

    MCU : Configurable_MCU                                   -- ObjectKind=Part|PrimaryId=MCU|SecondaryId=1
      Port Map
      (
        CLK_I    => CLK_I,                                   -- ObjectKind=Pin|PrimaryId=MCU-CLK_I
        INT_I    => NamedSignal_INTERRUPT_MCU_INT_I,         -- ObjectKind=Pin|PrimaryId=MCU-INT_I[31..0]
        IO_ACK_I => NamedSignal_MCU_M0_S0_INTERCON_IO_ACK,   -- ObjectKind=Pin|PrimaryId=MCU-IO_ACK_I
        IO_ADR_O => PinSignal_MCU_IO_ADR_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_ADR_O[23..0]
        IO_CYC_O => PinSignal_MCU_IO_CYC_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_CYC_O
        IO_DAT_I => NamedSignal_MCU_M0_S0_INTERCON_IO_DATOI, -- ObjectKind=Pin|PrimaryId=MCU-IO_DAT_I[31..0]
        IO_DAT_O => PinSignal_MCU_IO_DAT_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_DAT_O[31..0]
        IO_SEL_O => PinSignal_MCU_IO_SEL_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_SEL_O[3..0]
        IO_STB_O => PinSignal_MCU_IO_STB_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_STB_O
        IO_WE_O  => PinSignal_MCU_IO_WE_O,                   -- ObjectKind=Pin|PrimaryId=MCU-IO_WE_O
        ME_ACK_I => NamedSignal_MCU_M1_S0_INTERCON_MEM_ACK,  -- ObjectKind=Pin|PrimaryId=MCU-ME_ACK_I
        ME_ADR_O => PinSignal_MCU_ME_ADR_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_ADR_O[31..0]
        ME_CYC_O => PinSignal_MCU_ME_CYC_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_CYC_O
        ME_DAT_I => NamedSignal_MCU_M1_S0_INTERCON_MEM_DATOI, -- ObjectKind=Pin|PrimaryId=MCU-ME_DAT_I[31..0]
        ME_DAT_O => PinSignal_MCU_ME_DAT_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_DAT_O[31..0]
        ME_SEL_O => PinSignal_MCU_ME_SEL_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_SEL_O[3..0]
        ME_STB_O => PinSignal_MCU_ME_STB_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_STB_O
        ME_WE_O  => PinSignal_MCU_ME_WE_O,                   -- ObjectKind=Pin|PrimaryId=MCU-ME_WE_O
        RST_I    => RST_I                                    -- ObjectKind=Pin|PrimaryId=MCU-RST_I
      );

    LEDS : Configurable_LEDS                                 -- ObjectKind=Part|PrimaryId=LEDS|SecondaryId=1
      Port Map
      (
        ACK_O => PinSignal_LEDS_ACK_O,                       -- ObjectKind=Pin|PrimaryId=LEDS-ACK_O
        ADR_I => NamedSignal_INTERCON_IO_M0_S0_LEDS_ADR,     -- ObjectKind=Pin|PrimaryId=LEDS-ADR_I[1..0]
        CLK_I => NamedSignal_CLK_I,                          -- ObjectKind=Pin|PrimaryId=LEDS-CLK_I
        CYC_I => NamedSignal_INTERCON_IO_M0_S0_LEDS_CYC,     -- ObjectKind=Pin|PrimaryId=LEDS-CYC_I
        DAT_I => NamedSignal_INTERCON_IO_M0_S0_LEDS_DATIO,   -- ObjectKind=Pin|PrimaryId=LEDS-DAT_I[7..0]
        PAO   => PinSignal_LEDS_PAO,                         -- ObjectKind=Pin|PrimaryId=LEDS-PAO[7..0]
        PBO   => PinSignal_LEDS_PBO,                         -- ObjectKind=Pin|PrimaryId=LEDS-PBO[7..0]
        PCO   => PinSignal_LEDS_PCO,                         -- ObjectKind=Pin|PrimaryId=LEDS-PCO[7..0]
        PDO   => PinSignal_LEDS_PDO,                         -- ObjectKind=Pin|PrimaryId=LEDS-PDO[7..0]
        RST_I => NamedSignal_RST_I,                          -- ObjectKind=Pin|PrimaryId=LEDS-RST_I
        STB_I => NamedSignal_INTERCON_IO_M0_S0_LEDS_STB,     -- ObjectKind=Pin|PrimaryId=LEDS-STB_I
        WE_I  => NamedSignal_INTERCON_IO_M0_S0_LEDS_WE       -- ObjectKind=Pin|PrimaryId=LEDS-WE_I
      );

    INTERCON_MEM : Configurable_INTERCON_MEM                 -- ObjectKind=Part|PrimaryId=INTERCON_MEM|SecondaryId=1
      Port Map
      (
        m0_ACK_O => PinSignal_INTERCON_MEM_m0_ACK_O,         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_ACK_O
        m0_ADR_I => NamedSignal_MCU_M1_S0_INTERCON_MEM_ADR,  -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_ADR_I[31..0]
        m0_CLK_I => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_CLK_I
        m0_CYC_I => NamedSignal_MCU_M1_S0_INTERCON_MEM_CYC,  -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_CYC_I
        m0_DAT_I => NamedSignal_MCU_M1_S0_INTERCON_MEM_DATIO, -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_INTERCON_MEM_m0_DAT_O,         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_DAT_O[31..0]
        m0_SEL_I => NamedSignal_MCU_M1_S0_INTERCON_MEM_SEL,  -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_SEL_I[3..0]
        m0_STB_I => NamedSignal_MCU_M1_S0_INTERCON_MEM_STB,  -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_STB_I
        m0_WE_I  => NamedSignal_MCU_M1_S0_INTERCON_MEM_WE,   -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_WE_I
        s0_ACK_I => NamedSignal_INTERCON_MEM_M0_S0_XRAM_ACK, -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_ACK_I
        s0_ADR_O => PinSignal_INTERCON_MEM_s0_ADR_O,         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_ADR_O[18..0]
        s0_CYC_O => PinSignal_INTERCON_MEM_s0_CYC_O,         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_CYC_O
        s0_DAT_I => NamedSignal_INTERCON_MEM_M0_S0_XRAM_DATOI, -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_DAT_I[31..0]
        s0_DAT_O => PinSignal_INTERCON_MEM_s0_DAT_O,         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_DAT_O[31..0]
        s0_SEL_O => PinSignal_INTERCON_MEM_s0_SEL_O,         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_SEL_O[3..0]
        s0_STB_O => PinSignal_INTERCON_MEM_s0_STB_O,         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_STB_O
        s0_WE_O  => PinSignal_INTERCON_MEM_s0_WE_O           -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_WE_O
      );

    INTERCON_IO : Configurable_INTERCON_IO                   -- ObjectKind=Part|PrimaryId=INTERCON_IO|SecondaryId=1
      Port Map
      (
        m0_ACK_O => PinSignal_INTERCON_IO_m0_ACK_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_ACK_O
        m0_ADR_I => NamedSignal_MCU_M0_S0_INTERCON_IO_ADR,   -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_ADR_I[23..0]
        m0_CLK_I => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_CLK_I
        m0_CYC_I => NamedSignal_MCU_M0_S0_INTERCON_IO_CYC,   -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_CYC_I
        m0_DAT_I => NamedSignal_MCU_M0_S0_INTERCON_IO_DATIO, -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_INTERCON_IO_m0_DAT_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_DAT_O[31..0]
        m0_SEL_I => NamedSignal_MCU_M0_S0_INTERCON_IO_SEL,   -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_SEL_I[3..0]
        m0_STB_I => NamedSignal_MCU_M0_S0_INTERCON_IO_STB,   -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_STB_I
        m0_WE_I  => NamedSignal_MCU_M0_S0_INTERCON_IO_WE,    -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_WE_I
        s0_ACK_I => NamedSignal_INTERCON_IO_M0_S0_LEDS_ACK,  -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_ACK_I
        s0_ADR_O => PinSignal_INTERCON_IO_s0_ADR_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_ADR_O[1..0]
        s0_CYC_O => PinSignal_INTERCON_IO_s0_CYC_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_CYC_O
        s0_DAT_I => NamedSignal_INTERCON_IO_M0_S0_LEDS_DATOI, -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_DAT_I[7..0]
        s0_DAT_O => PinSignal_INTERCON_IO_s0_DAT_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_DAT_O[7..0]
        s0_SEL_O => PinSignal_INTERCON_IO_s0_SEL_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_SEL_O[3..0]
        s0_STB_O => PinSignal_INTERCON_IO_s0_STB_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_STB_O
        s0_WE_O  => PinSignal_INTERCON_IO_s0_WE_O            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_WE_O
      );

    -- Signal Assignments
    ---------------------
    LEDS_PAO                                      <= PinSignal_LEDS_PAO; -- ObjectKind=Net|PrimaryId=LEDS.PAO[7..0]
    LEDS_PBO                                      <= PinSignal_LEDS_PBO; -- ObjectKind=Net|PrimaryId=LEDS.PBO[7..0]
    LEDS_PCO                                      <= PinSignal_LEDS_PCO; -- ObjectKind=Net|PrimaryId=LEDS.PCO[7..0]
    LEDS_PDO                                      <= PinSignal_LEDS_PDO; -- ObjectKind=Net|PrimaryId=LEDS.PDO[7..0]
    NamedSignal_CLK_I                             <= CLK_I; -- ObjectKind=Net|PrimaryId=CLK_I
    NamedSignal_GND1_BUS                          <= "00000000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[7..0]
    NamedSignal_GND2_BUS                          <= "0000"; -- ObjectKind=Net|PrimaryId=GND2_BUS[3..0]
    NamedSignal_INTERCON_IO_M0_S0_LEDS_ACK        <= PinSignal_LEDS_ACK_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_ACK
    NamedSignal_INTERCON_IO_M0_S0_LEDS_ADR        <= PinSignal_INTERCON_IO_s0_ADR_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_ADR[1..0]
    NamedSignal_INTERCON_IO_M0_S0_LEDS_CYC        <= PinSignal_INTERCON_IO_s0_CYC_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_CYC
    NamedSignal_INTERCON_IO_M0_S0_LEDS_DATIO      <= PinSignal_INTERCON_IO_s0_DAT_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_DATIO[7..0]
    NamedSignal_INTERCON_IO_M0_S0_LEDS_DATOI      <= NamedSignal_GND1_BUS; -- ObjectKind=Net|PrimaryId=GND1_BUS[7..0]
    NamedSignal_INTERCON_IO_M0_S0_LEDS_STB        <= PinSignal_INTERCON_IO_s0_STB_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_STB
    NamedSignal_INTERCON_IO_M0_S0_LEDS_WE         <= PinSignal_INTERCON_IO_s0_WE_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_LEDS_WE
    NamedSignal_INTERCON_MEM_M0_S0_XRAM_ACK       <= PinSignal_XRAM_ACK_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_ACK
    NamedSignal_INTERCON_MEM_M0_S0_XRAM_ADR       <= PinSignal_INTERCON_MEM_s0_ADR_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_ADR[18..0]
    NamedSignal_INTERCON_MEM_M0_S0_XRAM_CYC       <= PinSignal_INTERCON_MEM_s0_CYC_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_CYC
    NamedSignal_INTERCON_MEM_M0_S0_XRAM_DATIO     <= PinSignal_INTERCON_MEM_s0_DAT_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_DATIO[31..0]
    NamedSignal_INTERCON_MEM_M0_S0_XRAM_DATOI     <= PinSignal_XRAM_DAT_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_DATOI[31..0]
    NamedSignal_INTERCON_MEM_M0_S0_XRAM_SEL       <= PinSignal_INTERCON_MEM_s0_SEL_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_SEL[3..0]
    NamedSignal_INTERCON_MEM_M0_S0_XRAM_STB       <= PinSignal_INTERCON_MEM_s0_STB_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_STB
    NamedSignal_INTERCON_MEM_M0_S0_XRAM_WE        <= PinSignal_INTERCON_MEM_s0_WE_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XRAM_WE
    NamedSignal_INTERRUPT_MCU_INT_I(15 downto 0)  <= PinSignal_MCU_LO_O; -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[15..0]
    NamedSignal_INTERRUPT_MCU_INT_I(31 downto 16) <= PinSignal_MCU_HI_O; -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[31..0]
    NamedSignal_MCU_M0_S0_INTERCON_IO_ACK         <= PinSignal_INTERCON_IO_m0_ACK_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_ACK
    NamedSignal_MCU_M0_S0_INTERCON_IO_ADR         <= PinSignal_MCU_IO_ADR_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_ADR[23..0]
    NamedSignal_MCU_M0_S0_INTERCON_IO_CYC         <= PinSignal_MCU_IO_CYC_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_CYC
    NamedSignal_MCU_M0_S0_INTERCON_IO_DATIO       <= PinSignal_MCU_IO_DAT_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_DATIO[31..0]
    NamedSignal_MCU_M0_S0_INTERCON_IO_DATOI       <= PinSignal_INTERCON_IO_m0_DAT_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_DATOI[31..0]
    NamedSignal_MCU_M0_S0_INTERCON_IO_SEL         <= PinSignal_MCU_IO_SEL_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_SEL[3..0]
    NamedSignal_MCU_M0_S0_INTERCON_IO_STB         <= PinSignal_MCU_IO_STB_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_STB
    NamedSignal_MCU_M0_S0_INTERCON_IO_WE          <= PinSignal_MCU_IO_WE_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_WE
    NamedSignal_MCU_M1_S0_INTERCON_MEM_ACK        <= PinSignal_INTERCON_MEM_m0_ACK_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_ACK
    NamedSignal_MCU_M1_S0_INTERCON_MEM_ADR        <= PinSignal_MCU_ME_ADR_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_ADR[31..0]
    NamedSignal_MCU_M1_S0_INTERCON_MEM_CYC        <= PinSignal_MCU_ME_CYC_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_CYC
    NamedSignal_MCU_M1_S0_INTERCON_MEM_DATIO      <= PinSignal_MCU_ME_DAT_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_DATIO[31..0]
    NamedSignal_MCU_M1_S0_INTERCON_MEM_DATOI      <= PinSignal_INTERCON_MEM_m0_DAT_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_DATOI[31..0]
    NamedSignal_MCU_M1_S0_INTERCON_MEM_SEL        <= PinSignal_MCU_ME_SEL_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_SEL[3..0]
    NamedSignal_MCU_M1_S0_INTERCON_MEM_STB        <= PinSignal_MCU_ME_STB_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_STB
    NamedSignal_MCU_M1_S0_INTERCON_MEM_WE         <= PinSignal_MCU_ME_WE_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_WE
    NamedSignal_RST_I                             <= RST_I; -- ObjectKind=Net|PrimaryId=RST_I
    PowerSignal_GND                               <= '0'; -- ObjectKind=Net|PrimaryId=GND
    XRAM_A                                        <= PinSignal_XRAM_SRAM_A; -- ObjectKind=Net|PrimaryId=XRAM.A[17..0]
    XRAM_CE                                       <= PinSignal_XRAM_SRAM_CE; -- ObjectKind=Net|PrimaryId=XRAM.CE
    XRAM_LB                                       <= PinSignal_XRAM_SRAM_LB; -- ObjectKind=Net|PrimaryId=XRAM.LB
    XRAM_OE                                       <= PinSignal_XRAM_SRAM_OE; -- ObjectKind=Net|PrimaryId=XRAM.OE
    XRAM_UB                                       <= PinSignal_XRAM_SRAM_UB; -- ObjectKind=Net|PrimaryId=XRAM.UB
    XRAM_WE                                       <= PinSignal_XRAM_SRAM_WE; -- ObjectKind=Net|PrimaryId=XRAM.WE

end structure;
------------------------------------------------------------

